from app import create_app, db
from app.models import User, Landlord, Prop, Payment, Tenant
from config import Config
import datetime


def main():
    app = create_app(Config)
    app_context = app.app_context()
    app_context.push()

    with app.app_context():
        db.create_all()


    if not User.query.filter(User.username == 'root').first():
        user1 = User(
            email='cameron@ratchfordconsulting.com',
            username="root",
            first_name="Cameron",
            last_name="Ratchford",
            email_confirmed_at=datetime.datetime.utcnow(),
        )
        user1.set_password("DifficultPassword")
        user1.role = 'admin'
        db.session.add(user1)
        db.session.commit()

    if not User.query.filter(User.username == 'driver').first():
        user2 = User(
            email='camratchford@gmail.com',
            username="landlord",
            first_name="landlord",
            last_name="Test",
            email_confirmed_at=datetime.datetime.utcnow(),
        )
        user2.set_password("DifficultPassword")
        user2.role = 'landlord'
        db.session.add(user2)
        db.session.commit()


if __name__ == "__main__":
    main()
